<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */
define('PAGESTR', 5);

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

$sql = mysql_query("SELECT (`name`) FROM `".SQLprefixTable."news` WHERE `id`='".$id."'");

if (mysql_num_rows($sql)) {
	$news = mysql_fetch_row($sql);
} else {
	header('Location: '.SCRIPT.'/news/index.xhtml');
}

unset($sql);

require_header('Комментарии к новости "'.htmlspecialchars($news[0]).'"');

if (isset($_POST['submit'])) {
	
	$error = '';
		
	if (empty($_POST['name'])) {
		$error .= 'Введите ваше имя!<br/>';
	}
	else if (iconv_strlen($_POST['name']) < 3 || iconv_strlen($_POST['name']) > 15) {
		$error .= 'Имя должно содержать от 3 до 15 символов!<br/>';
	}
		
	if (empty($_POST['text'])) {
		$error .= 'Комментарий не должен быть пустым!<br/>';
	}
	else if (iconv_strlen($_POST['text']) < 5) {
		$error .= 'Комментарий не может быть таким коротким!<br/>';
	}
		
	if (empty($_POST['code'])) {
		$error .= 'Введите код с картинки!';
	}
	else if ($_SESSION['code'] != $_POST['code']) {
		$error .= 'Код с картинки введен не верно!';
	}
		
	if ($error) {
		echo '<div class="error">'.$error.'</div>';
	} else {
		if (mysql_query("INSERT INTO `".SQLprefixTable."news_comment` SET `ref`='".$id."', `date`='".time()."', `name`='".mysql_real_escape_string($_POST['name'])."', `text`='".mysql_real_escape_string($_POST['text'])."'")) {
			header('Refresh: 1, url='.SCRIPT.'/news/comment.xhtml/'.$id.'/');
			echo '<div class="menu">Комментарий успешно добавлен!</div>';
		} else {
			echo '<div class="error">Ошибка при добавлении комментария!</div>';
		}
	}
	
}

echo '<form class="menu" action="" method="post">
<b>Ваше имя:</b><br/><input type="text" name="name" maxlength="15"/><br/>
<b>Комментарий:</b><br/><textarea name="text" rows="2" cols="70"></textarea><br/>
<b>Код с картинки:</b><br/><input type="text" name="code" maxlength="4" size="4"/> <img src="'.SCRIPT.'/code.php" alt=""/><br/>
<input type="submit" name="submit" value="Написать"/>
</form>

<div class="title">Все комментарии</div>';

$count = mysql_fetch_row(mysql_query("SELECT COUNT(`id`) FROM `".SQLprefixTable."news_comment` WHERE `ref`='".$id."'"));

$k_page = k_page($count[0], PAGESTR); 
$page = page($k_page);
define('START', (PAGESTR * $page - PAGESTR));

$sql = mysql_query("SELECT * FROM `".SQLprefixTable."news_comment` WHERE `ref`='".$id."' ORDER BY `id` DESC LIMIT ".START.", ".PAGESTR);

if (mysql_num_rows($sql)) {

	if ($k_page > 1) {
		navigation(SCRIPT.'/news/comment.xhtml/'.$id.'/', $k_page, $page, true);
	}

	$i = 0;
	
	while ($row = mysql_fetch_assoc($sql)) {
		echo '<div class="'.($i++ % 2 ? 'main' : 'menu').'"><b>'.htmlspecialchars($row['name']).'</b> ['.clock($row['date']).']<br/>'.nl2br(htmlspecialchars($row['text'])).'</div>';
	}
	
	if ($k_page > 1) {
		navigation(SCRIPT.'/news/comment.xhtml/'.$id.'/', $k_page, $page);
	}

} else {
	echo '<div class="menu">Комментариев еще нет!</div>';
}

echo '<div class="block"><a href="'.SCRIPT.'/news/index.xhtml">Все новости</a></div>';

require_footer();
?>